import os
from os.path import join
from setuptools import setup, find_packages

name = 'eea.locationwidget'
path = name.split('.') + ['version.txt']
version = open(join(*path)).read().strip()

setup(name=name,
      version=version,
      description="Location widget.",
      long_description=""" """,
      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[
        "Framework :: Plone",
        "Framework :: Zope2",
        "Framework :: Zope3",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      keywords='eea location widget plone',
      author='Alexandru Ghica',
      author_email='webmaster@eea.europa.eu',
      url='http://svn.eionet.europa.eu/projects/Zope/browser/trunk/eea.locationwidget',
      license='MPL',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['eea'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
        'setuptools',
#        'archetypes.schemaextender',
      ],
      entry_points="""
      # -*- Entry points: -*-
      """,
      )